package org.jcomet.examples;

import java.io.File;
import java.io.FileNotFoundException;

import org.jcomet.dynamic.DynamicProperties;

/**
 * Run the sample change any value in the ./props.txt file and see the changes in the system out 
 * @author Amir Shevat
 *
 */
public class DynamicPropertiesApp {

	/**
	 * @param args non
	 * @throws FileNotFoundException 
	 */
	public static void main(String[] args)  {
		try {
			System.out.println("Starting example - Change the property file 'change_me.properties' and save it. See what happens in this console view.");
			DynamicProperties props = new DynamicProperties();
			props.setPropertyChangedListener(new SimplePropertyChangedListener());
		
			props.load(new File("./change_me.properties"), 1000);
			Thread.sleep(60000);
			
			System.out.println("Example ended");
		
		} catch (Exception e) {
			
			e.printStackTrace();
		}
	}

}
